part of user_discuss;

class UserDiscussPage extends StatefulWidget {
  const UserDiscussPage({Key? key}) : super(key: key);

  @override
  State<UserDiscussPage> createState() => _UserDiscussPageState();
}

class _UserDiscussPageState extends State<UserDiscussPage> {
  @override
  Widget build(BuildContext context) {
    return GetBuilder<UserDiscussController>(
      init: UserDiscussController(),
      builder:(controller)=> Scaffold(
        appBar: AppBar(
          centerTitle: true,
          title: const Text('讨论'),
        ),
        body: CustomPullScrollView(
          controller: controller.refreshController,
          onRefresh: controller.onRefresh,
          onLoading: controller.onLoading,
          child:ListView.builder(
            itemBuilder: (BuildContext context, int index){
              return BuildItem(model: controller.discuss[index],index: index,num: controller.discuss.length,);
            },
            itemCount: controller.discuss.length,
          )
        ),
      ),
    );
  }
}
